aboutsummaryrefslogtreecommitdiff
path: root/port-files-master/pkg-install
diff options
context:
space:
mode:
authorKen Moore <ken@pcbsd.org>2016-08-08 08:48:42 -0400
committerKen Moore <ken@pcbsd.org>2016-08-08 08:48:42 -0400
commit4714fcf3ed34980e5e206ebf247b0e6871d63146 (patch)
tree951873babcf45cb5c86ce5fcdd371767f852ef8f /port-files-master/pkg-install
parentAdd a simple check to the panel update routine to verify that the "_NET_WM_ST... (diff)
parentAdd the missing Makefile, and fix missing USE_GL in meantime (diff)
downloadlumina-4714fcf3ed34980e5e206ebf247b0e6871d63146.tar.gz
lumina-4714fcf3ed34980e5e206ebf247b0e6871d63146.tar.bz2
lumina-4714fcf3ed34980e5e206ebf247b0e6871d63146.zip
Merge branch 'master' of github.com:trueos/lumina
Diffstat (limited to 'port-files-master/pkg-install')
-rw-r--r--port-files-master/pkg-install36
1 files changed, 36 insertions, 0 deletions
diff --git a/port-files-master/pkg-install b/port-files-master/pkg-install
new file mode 100644
index 00000000..c406d96e
--- /dev/null
+++ b/port-files-master/pkg-install
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Script to install preload.conf
+
+PREFIX=${PKG_PREFIX-/usr/local}
+
+if [ "$2" != "POST-INSTALL" ] ; then
+ exit 0
+fi
+
+# If this is during staging, we can skip for now
+echo $PREFIX | grep -q '/stage/'
+if [ $? -eq 0 ] ; then
+ exit 0
+fi
+
+# Copy over the rc.conf.trueos file
+install -m 644 ${PREFIX}/share/trueos/conf/rc.conf.trueos /etc/rc.conf.trueos
+if [ -e "/etc/default/trueos" -o -e "/etc/defaults/trueos-desktop" ] ; then
+ install -m 644 ${PREFIX}/share/trueos/conf/loader.conf.trueos /boot/loader.conf.trueos
+ install -m 644 ${PREFIX}/share/trueos/conf/brand-trueos.4th /boot/brand-trueos.4th
+else
+ install -m 644 ${PREFIX}/share/trueos/conf/loader.conf.trueos /boot/loader.conf.trueos
+ install -m 644 ${PREFIX}/share/trueos/conf/brand-trueos.4th /boot/brand-trueos.4th
+fi
+
+if [ ! -e "${PREFIX}/etc/trueos.conf" ] ; then
+ # Do the first-time setup
+ echo "Doing first-time bootstrap"
+ if [ -e "/etc/defaults/trueos-desktop" ] ; then
+ tar cvf - -C ${PREFIX}/share/trueos/desktop-defaults/ . 2>/dev/null | tar xvpf - -C / 2>/dev/null
+ else
+ tar cvf - -C ${PREFIX}/share/trueos/server-defaults/ . 2>/dev/null | tar xvpf - -C / 2>/dev/null
+ fi
+fi
+
+exit 0
bgstack15